GZIPOutInterceptor.UseGzip (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.transport.common.gzip, class: GZIPOutInterceptor, enum: UseGzip

Package org.apache.cxf.transport.common.gzip

# Enum Class GZIPOutInterceptor.UseGzip

java.lang.Object
java.lang.Enum<GZIPOutInterceptor.UseGzip>
org.apache.cxf.transport.common.gzip.GZIPOutInterceptor.UseGzip

All Implemented Interfaces:
  `Serializable`, `Comparable<GZIPOutInterceptor.UseGzip>`, `Constable`

Enclosing class:
  GZIPOutInterceptor

public static enum GZIPOutInterceptor.UseGzip extends Enum<GZIPOutInterceptor.UseGzip>
Enum giving the possible values for whether we should gzip a particular message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FORCE`
  `NO`
  `YES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GZIPOutInterceptor.UseGzip`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GZIPOutInterceptor.UseGzip[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NO

    public static final GZIPOutInterceptor.UseGzip NO

  - ### YES

    public static final GZIPOutInterceptor.UseGzip YES

  - ### FORCE

    public static final GZIPOutInterceptor.UseGzip FORCE

- ## Method Details

  - ### values

    public static GZIPOutInterceptor.UseGzip[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GZIPOutInterceptor.UseGzip valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null